<?php
//Get unique Client ID
require_once 'ga-cid.php';

//Return Transparent Pixel
header("Content-type: image/png");
$img = imagecreatetruecolor(1, 1);
imagesavealpha($img, true);
$color = imagecolorallocatealpha($img, 255, 255, 255, 127);
imagefill($img, 0, 0, $color);
imagepng($img);
imagedestroy($img);

//Get some extra info about the user
$user_agent = $_SERVER['HTTP_USER_AGENT'];

//Test Data for GA Measurement Protocol
$data1 = array(
 'v' => 1,
 'tid' => 'UA-82381XXX-3', //Enter Yours
 'aip' => 1,
 'cid' => $cid, //we will create this in a bit
 'ua' => $user_agent,
 't' => 'pageview',
 'dh' => 'www.your-domain.com', //Enter Yours
 'dp' => '/ga-test/',
 'dt' => 'ga test'
);

//Send to GA Server
$url = 'https://www.google-analytics.com/collect';
$content1 = http_build_query($data1);
$content1 = utf8_encode($content1);
$ch1 = curl_init();
curl_setopt($ch1,CURLOPT_USERAGENT, $user_agent);
curl_setopt($ch1, CURLOPT_URL, $url);
curl_setopt($ch1,CURLOPT_HTTPHEADER,array('Content-type: application/x-www-form-urlencoded'));
curl_setopt($ch1,CURLOPT_HTTP_VERSION,CURL_HTTP_VERSION_1_1);
curl_setopt($ch1,CURLOPT_POST, TRUE);
curl_setopt($ch1,CURLOPT_POSTFIELDS, $content1);
curl_setopt($ch1,CURLOPT_RETURNTRANSFER, TRUE);
curl_exec($ch1);
curl_close($ch1);
?>